import request from '@/utils/request'

// 查询裂解培训模版列表
export function listLjPlan(query) {
  return request({
    url: '/bccnew/ljPlan/list',
    method: 'get',
    params: query
  })
}

// 查询裂解培训模版详细
export function getLjPlan(id) {
  return request({
    url: '/bccnew/ljPlan/' + id,
    method: 'get'
  })
}

// 新增裂解培训模版
export function addLjPlan(data) {
  return request({
    url: '/bccnew/ljPlan',
    method: 'post',
    data: data
  })
}

// 修改裂解培训模版
export function updateLjPlan(data) {
  return request({
    url: '/bccnew/ljPlan',
    method: 'put',
    data: data
  })
}

// 删除裂解培训模版
export function delLjPlan(id) {
  return request({
    url: '/bccnew/ljPlan/' + id,
    method: 'delete'
  })
}

// 导出裂解培训模版
export function exportLjPlan(query) {
  return request({
    url: '/bccnew/ljPlan/export',
    method: 'get',
    params: query
  })
}
